# ChangeFilingStatus

Change the filing status of this company

`POST /api/v2/companies/{id}/filingstatus`

**API:** AvaTax API
**Tag:** Companies
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Content-Type:** `application/json`
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/Companies/ChangeFilingStatus/

## Description

Changes the current filing status of this company.
            
For customers using Avalara's Managed Returns Service, each company within their account can request
for Avalara to file tax returns on their behalf.  Avalara compliance team members will review all
requested filing calendars prior to beginning filing tax returns on behalf of this company.
            
The following changes may be requested through this API:
            
* If a company is in `NotYetFiling` status, the customer may request this be changed to `FilingRequested`.
* Avalara compliance team members may change a company from `FilingRequested` to `FirstFiling`.
* Avalara compliance team members may change a company from `FirstFiling` to `Active`.
            
All other status changes must be requested through the Avalara customer support team.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, Compliance Root User, ComplianceAdmin, ComplianceUser, CSPAdmin, CSPTester, ECMAccountUser, ECMCompanyUser, FirmAdmin, FirmUser, ProStoresOperator, Registrar, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser, TreasuryAdmin, TreasuryUser.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | integer | path | Yes |  |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Request Body

**Schema:** `FilingStatusChangeModel`

Represents a change request for filing status for a company

| Property | Type | Required | Description |
|---|---|---|---|
| `requestedStatus` | string | No | Indicates the filing status you are requesting for this company Values: `NotConfiguredForCompliance`, `NotYetFiling`, `FilingRequested`, `FirstFiling`, `Active`, `NoReporting`, `Inactive`. Example: `NotConfiguredForCompliance`. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success |  |
| 400 | Bad Request | `ProblemDetails` |
| 401 | Unauthorized | `ProblemDetails` |
| 404 | Not Found | `ProblemDetails` |

## Example Request

```bash
curl -X POST "https://sandbox-rest.avatax.com/api/v2/companies/{id}/filingstatus" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
  "requestedStatus": "FirstFiling"
}'
```